Windowing
Signal Processing (SP) Module

Windowing functions. More...

## Functions

vec | itpp::hamming (int size)
| Hamming window.
vec | itpp::hanning (int n)
| Hanning window.
vec | itpp::hann (int n)
| Hanning window compatible with matlab.
vec | itpp::blackman (int n)
| Blackman window.
vec | itpp::triang (int n)
| Triangular window.
vec | itpp::sqrt_win (int n)
| Square root window.
vec | itpp::chebwin (int n, double at)
| Dolph-Chebyshev window.

## Detailed Description

Windowing functions.

## Function Documentation

## hamming()

ITPP_EXPORT vec itpp::hamming | ( | int | size | ) |

Hamming window.

The `n` size Hamming window is a vector where the th component is

Definition at line 43 of file window.cpp.

References itpp::pi.

Referenced by itpp::fir1(), and itpp::FIR_Fading_Generator::Jakes_filter().

## hanning()

ITPP_EXPORT vec itpp::hanning | ( | int | n | ) |

Hanning window.

The `n` size Hanning window is a vector where the th component is

Observe that this function is not the same as the hann() function which is defined as in matlab.

Definition at line 56 of file window.cpp.

References itpp::pi.

Referenced by itpp::spectrum().

## hann()

ITPP_EXPORT vec itpp::hann | ( | int | n | ) |

Hanning window compatible with matlab.

The `n` size Hanning window is a vector where the th component is

Definition at line 67 of file window.cpp.

References itpp::pi.

## blackman()

ITPP_EXPORT vec itpp::blackman | ( | int | n | ) |

Blackman window.

The `n` size Blackman window is a vector where the th component is

Definition at line 77 of file window.cpp.

References itpp::pi.

## triang()

ITPP_EXPORT vec itpp::triang | ( | int | n | ) |

Triangular window.

The `n` size triangle window is a vector where the th component is

for `n` odd and for `n` even

Definition at line 87 of file window.cpp.

## sqrt_win()

ITPP_EXPORT vec itpp::sqrt_win | ( | int | n | ) |

Square root window.

The square-root of the Triangle window. sqrt_win(n) = sqrt(triang(n))

Definition at line 103 of file window.cpp.

## chebwin()

ITPP_EXPORT vec itpp::chebwin | ( | int | n,
|  | double | at
| ) |  |

Dolph-Chebyshev window.

The length `n` Dolph-Chebyshev window is a vector whose th transform component is given by

where `T_n(x)` is the order `n` Chebyshev polynomial of the first kind.

Parameters

  n | length of the Doplh-Chebyshev window
  at | attenutation of side lobe (in dB)

Returns
  symmetric length `n` Doplh-Chebyshev window

Author
  Kumar Appaiah and Adam Piatyszek (code review)

Definition at line 119 of file window.cpp.

References itpp::acosh(), itpp::cheb(), itpp::concat(), itpp::cos(), itpp::elem_mult(), itpp::ifft_real(), itpp::is_even(), it_assert, itpp::Array< T >::left(), itpp::linspace(), itpp::pi, itpp::pow10(), itpp::reverse(), itpp::Vec< Num_T >::right(), itpp::sin(), and itpp::to_cvec().

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8